Retrieve a tenant member
Retrieves an existing user that has access to the tenant.
Analytics Events
bearerAuthAuthorizationBearer <token>tenantId*stringIdentifier of the tenant.
uuiduserId*stringIdentifier of the user.
uuidTenant member retrieved
application/json- response
id*stringUser's unique identifier.
email*stringUser's email address.
name?stringUser's full name.
status*UserStatusIndicates the user's registration status:
- Active: User has accepted their invite and registered with the MATTR Self Service Portal.
- Pending: An invite was sent to the user, but they had not registered yet.
- Invite Expired: The registration invite had expired before the user registered.
- Disabled: The user has been disabled in the MATTR Self Service Portal.
"Pending""Active""Invite Expired""Disabled"roles*array<>The roles assigned to the user.
permissions*array<string>A list of permissions assigned to the user.
inviteExpiresAt?stringThe date and time when the invite expires. Only present when status is Pending.
date-timeisSSO?booleanIndicates whether the user is authenticated via Single Sign-On (SSO). Mutually exclusive with isLocalLogin. This value is only returned when SSPM support is enabled in your environment. Contact us if you would like to enable it.
isLocalLogin?booleanIndicates whether the user is authenticated via local login. Mutually exclusive with isSSO. This value is only returned when SSPM support is enabled in your environment. Contact us if you would like to enable it.
isMfaEnabled?booleanIndicates whether the user has multi-factor authentication enabled. Always true for local login users, and false for SSO users. This value is only returned when SSPM support is enabled in your environment. Contact us if you would like to enable it.
lastLoginAt?stringThe date and time when the user last logged in. Only present when the user has logged in at least once. This value is only returned when SSPM support is enabled in your environment. Contact us if you would like to enable it.
date-timecurl -X GET "https://example.com/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/members/818f7564-49cb-4003-b041-37aec302e2c9"{ "id": "8f6d40a9-d913-45e8-aa3e-8c99d62cd8fb", "email": "john-doe@example.com", "name": "John Doe", "status": "Active", "roles": [ "dts-provider", "issuer" ], "permissions": [ "dids:read", "dids:create" ], "inviteExpiresAt": "2025-08-22T12:00:00.000Z", "isSSO": true, "isLocalLogin": false, "isMfaEnabled": false, "lastLoginAt": "2025-08-22T12:00:00.000Z"}How would you rate this page?